# 32/64bit spec-file
#
%global major		0
%global libname		%mklibname %{name} %{major}
%global develname	%mklibname %{name} -d

Summary:	High-level API for encoding .opus files.
Name:		opusenc
Version:	0.2.1
Release:	%mkrel 1
Source0:	https://archive.mozilla.org/pub/opus/lib%{name}-%{version}.tar.xz
URL:		http://opus-codec.org/
License:	BSD
Group:		Sound
BuildRequires:  %{_lib}opus-devel

%description
The libopusenc libraries provide a high-level API for encoding .opus files. 
libopusenc depends only on libopus. The library is in very early development.
Please give feedback in #opus on irc.freenode.net or at opus@xiph.org.
Programming documentation is available in tree and online at
https://opus-codec.org/docs/ 

%package -n	%{libname}
Summary:	High-level API for encoding .opus files. Runtime libary files.
Group:		System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n	%{libname}
The libopusenc libraries provide a high-level API for encoding .opus files. 
libopusenc depends only on libopus. The library is in very early development.
Please give feedback in #opus on irc.freenode.net or at opus@xiph.org.
Programming documentation is available in tree and online at
https://opus-codec.org/docs/ 

This package contains the libraries required at runtime.

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The libopusenc libraries provide a high-level API for encoding .opus files. 
libopusenc depends only on libopus. The library is in very early development.
Please give feedback in #opus on irc.freenode.net or at opus@xiph.org.
Programming documentation is available in tree and online at
https://opus-codec.org/docs/ 

This package contains the development files (header and libraries) required
for implementing applications that use libopusenc.


%prep
%setup -qn lib%{name}-%{version}

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING AUTHORS README.md
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_docdir}/lib%{name}
%{_includedir}/opus/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%clean
rm -rf %buildroot

%changelog
* Sat Jul 11 2020 ghostbunny <ghostbunny at gmx dot de> 0.2-1pclos2020
- 0.2

* Sat Sep 23 2017 bb2 <bb2> - 0.1.9-2pclos2017
- rebuild against updates

* Wed Jan 06 2016 bb <bb> 0.1.9-1pclos2016
- update

* Thu Feb 20 2014 bb <bb> 0.1.8-1pclos2014
- update

* Sat May 18 2013 Texstar <texstar at gmail.com> 0.1.6-2pclos2013
- fix rpmgroup
